Name:           perl-Pod-Xhtml
Version:        1.61
Release:        4%{?dist}
Summary:        Generate well-formed XHTML documents from POD format documentation
License:        GPLv2+
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Pod-Xhtml/
Source0:        http://www.cpan.org/authors/id/B/BB/BBC/Pod-Xhtml-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::Assertions::TestScript)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(URI::Escape)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module parses files containing POD content and generates well-formed
XHTML documents from it.

%prep
%setup -q -n Pod-Xhtml-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes COPYING README
%{perl_vendorlib}/*
%{_bindir}/pod2xhtml
%{_mandir}/man1/pod2xhtml.1.gz
%{_mandir}/man3/*

%changelog
* Tue Jun 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.61-4
- Perl mass rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.61-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 21 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.61-2
- 661697 rebuild for fixing problems with vendorach/lib

* Mon Aug 16 2010 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> - 1.61-1
- Update to 1.61
- fix description

* Sun Aug 01 2010 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> - 1.60-1
- Update to 1.60
- Re-enable tests

* Tue May 04 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.59-4
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.59-3
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.59-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Dec 22 2008 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> 1.59-1
- Specfile autogenerated by cpanspec 1.77.
